CREATE TABLE `company_certificate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `native_code` int(11) DEFAULT NULL COMMENT '数据区域',
  `active` bit(1) NOT NULL COMMENT '是否有效',
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  `update_by` varchar(50) NOT NULL,
  `pzwh` varchar(50) DEFAULT NULL COMMENT '批准文号',
  `fwfw` varchar(50) DEFAULT NULL COMMENT '服务范围',
  `frmc` varchar(50) DEFAULT NULL COMMENT '法人名称',
  `gsmc` varchar(100) DEFAULT NULL COMMENT '公司名称',
  `zczb` varchar(50) DEFAULT NULL COMMENT '注册资本',
  `fzrq` datetime DEFAULT NULL COMMENT '发证日期',
  `slr` varchar(50) DEFAULT NULL COMMENT '受理人',
  `slrsj` varchar(50) DEFAULT NULL COMMENT '受理人手机号',
  `zzrq` datetime DEFAULT NULL COMMENT '制作日期',
  `xkzh` varchar(50) DEFAULT NULL COMMENT '许可证号',
  `sponsorlicenseid` int(11) DEFAULT NULL COMMENT '保安服务公司申报ID',
  `gsdz` varchar(100) DEFAULT NULL COMMENT '公司地址',
  `zczblx` varchar(3) DEFAULT NULL COMMENT '注册资本类型',
  `fzjgbh` varchar(50) DEFAULT NULL COMMENT '发证机关编号',
  `frdblx` varchar(3) DEFAULT NULL COMMENT '法定代表人类型',
  `zzzt` varchar(3) DEFAULT NULL COMMENT '制证状态',  
  PRIMARY KEY (`id`),
  KEY `idx_id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=583 DEFAULT CHARSET=utf8;

CREATE TABLE `security_certificate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `native_code` int(11) DEFAULT NULL COMMENT '数据区域',
  `active` bit(1) NOT NULL COMMENT '是否有效',
  `create_time` datetime NOT NULL,
  `update_time` datetime NOT NULL,
  `update_by` varchar(50) NOT NULL,
  `xm` varchar(50) DEFAULT NULL COMMENT '姓名',
  `address` varchar(100) DEFAULT NULL COMMENT '地址',
  `csrq` varchar(50) DEFAULT NULL COMMENT '出生日期',
  `idnum` varchar(50) DEFAULT NULL COMMENT '公民身份证号',
  `zsbh` varchar(50) DEFAULT NULL COMMENT '证书编号',
  `fzrq` datetime DEFAULT NULL COMMENT '发证日期',
  `zzrq` datetime DEFAULT NULL COMMENT '制作日期',
  `zzzt` varchar(3) DEFAULT NULL COMMENT '制证状态',  
  PRIMARY KEY (`id`),
  KEY `idx_id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=583 DEFAULT CHARSET=utf8;

ALTER TABLE `sb_traincompanyapply`
ADD COLUMN `policeid`  int(11) NULL COMMENT '受理民警' AFTER `userid`;

ALTER TABLE `sb_sponsorlicense`
ADD COLUMN `policeid`  int(11) NULL COMMENT '受理民警' AFTER `userid`;