drop view if EXISTS v_problemperson;
CREATE
VIEW `v_problemperson`AS
SELECT
			ifnull(pb.dispose,'0') as dispose, -- 处理状态
			pb.problemtype, -- 问题类型
			pb.idnumber, -- 身份证号码
			pb.name, -- 姓名
			pb.create_time, -- 比对时间
			pb.handleDate, -- 处理时间
			pb.sex, -- 性别
			pb.companyname, -- 公司名称
			pb.companyid, -- 公司主键
			pb.phone, -- 手机号码
			pb.suggestion, -- 处理意见
			pb.orgName, -- 监管机构
			pb.inform, -- 公安人员处理意见
			pb.orgId, -- 监管机构主键
			pb.reson,
			pb.comHandleDate,
			pb.personType,
			pb.active,
			pb.areaCode,
			(
			SELECT
			IF(active,'1','0')
			FROM
			security_company_person scp
			where scp.person_id = pb.personid
			AND scp.company_id = pb.companyId
			order by create_time desc
			LIMIT 1
			) as incumbencyStatus, -- 在职状态
			ifnull(pb.disposeCompany,'0') as disposeCompany, -- 企业处理状态
			pb.companyReson, -- 企业处理意见
			pb.
			personid, -- 保安员主键
			pb.id
			, -- 主键
			ifnull(pb.catchState,'0') as catchState -- 抓获状态
			FROM
			problemperson pb -- 问题人员信息表
			WHERE
			pb.active = TRUE