ALTER TABLE `newsnotice_company`
ADD COLUMN `replyContext`  varchar(500) CHARACTER SET utf8 NULL COMMENT '回复内容' AFTER `undoState`,
ADD COLUMN `replyState`  varchar(10) CHARACTER SET utf8 NULL COMMENT '回复状态' AFTER `replyContext`;

ALTER TABLE `sys_attachment`
MODIFY COLUMN `businessid`  bigint(11) NULL DEFAULT NULL COMMENT '业务ID' AFTER `path`;

ALTER TABLE `newsnotice_police`
ADD COLUMN `replyAtt`  varchar(10) CHARACTER SET utf8 NULL COMMENT '回复附件是否为必填' AFTER `newsType`;

ALTER TABLE `newsnotice_company`
ADD COLUMN `replyAtt`  varchar(10) CHARACTER SET utf8 NULL COMMENT '回复附件是否为必填' AFTER `replyState`;

ALTER TABLE `newsnotice_police`
MODIFY COLUMN `sendId`  bigint(19) NULL DEFAULT NULL COMMENT '发送人ID' AFTER `newsContext`;

-- DROP TABLE IF EXISTS `com_contract`;
CREATE TABLE `com_contract` (
  `comContractId` bigint(20) NOT NULL COMMENT '企业合同ID',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `createBy` varchar(20) DEFAULT NULL COMMENT '创建人ID',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `updateBy` varchar(20) DEFAULT NULL COMMENT '修改人ID',
  `isDelete` varchar(1) DEFAULT '0' COMMENT '是否逻辑删除',
  `contractType` varchar(6) DEFAULT NULL COMMENT '合同类型',
  `contractName` varchar(100) DEFAULT NULL COMMENT '合同名称',
  `contractStatus` varchar(6) DEFAULT NULL COMMENT '合同状态',
  `comFileNo` varchar(30) DEFAULT NULL COMMENT '企业档案编号',
  `comParty` varchar(6) DEFAULT NULL COMMENT '企业所在方',
  `firstPartyName` varchar(50) DEFAULT NULL COMMENT '甲方名称',
  `firstPartyTel` varchar(20) DEFAULT NULL COMMENT '甲方联系电话',
  `secondPartyName` varchar(50) DEFAULT NULL COMMENT '乙方名称',
  `secondPartyTel` varchar(20) DEFAULT NULL COMMENT '乙方联系电话',
  `effectStartDate` date DEFAULT NULL COMMENT '生效开始日期',
  `effectEndDate` date DEFAULT NULL COMMENT '生效终止日期',
  `contractPeriod` varchar(30) DEFAULT NULL COMMENT '合同期限',
  `agreementSignDate` date DEFAULT NULL COMMENT '协议签订日期',
  `contractUrl` varchar(500) DEFAULT NULL COMMENT '合同文件url',
  `remark` varchar(400) DEFAULT NULL COMMENT '备注',
  `comId` bigint(20) NOT NULL COMMENT '企业ID',
  `perId` bigint(20) DEFAULT NULL COMMENT '人员ID',
  PRIMARY KEY (`comContractId`),
  KEY `index_com_contract_comId` (`comId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='企业合同';

-- ----------------------------
-- Table structure for com_task
-- ----------------------------
-- DROP TABLE IF EXISTS `com_task`;
CREATE TABLE `com_task` (
  `comTaskId` bigint(20) NOT NULL COMMENT '任务ID',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `createBy` varchar(20) DEFAULT NULL COMMENT '创建人ID',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  `updateBy` varchar(20) DEFAULT NULL COMMENT '修改人ID',
  `isDelete` varchar(1) DEFAULT '0' COMMENT '是否逻辑删除',
  `taskName` varchar(50) DEFAULT NULL COMMENT '任务名称',
  `taskType` varchar(8) DEFAULT NULL COMMENT '任务类型',
  `taskStationType` varchar(6) DEFAULT NULL COMMENT '驻勤点类型',
  `serviceObject` varchar(100) DEFAULT NULL COMMENT '服务对象',
  `serviceObjectSySituation` varchar(6) DEFAULT NULL COMMENT '服务对象涉外情况',
  `taskContent` varchar(1000) DEFAULT NULL COMMENT '任务内容',
  `province` int(6) DEFAULT NULL COMMENT '任务地址所在省份',
  `city` int(6) DEFAULT NULL COMMENT '任务地址所在城市',
  `area` int(6) DEFAULT NULL COMMENT '任务地址所在区县',
  `taskAddress` varchar(100) DEFAULT NULL COMMENT '任务地址',
  `execRange` bigint(20) DEFAULT NULL COMMENT '执行范围（单位:米）',
  `taskStatus` varchar(6) DEFAULT NULL COMMENT '任务状态',
  `startDate` date DEFAULT NULL COMMENT '任务开始日期',
  `endDate` date DEFAULT NULL COMMENT '任务截止日期',
  `perNum` bigint(20) DEFAULT NULL COMMENT '人数',
  `comId` bigint(20) NOT NULL COMMENT '企业ID',
  PRIMARY KEY (`comTaskId`),
  KEY `index_com_task_comId` (`comId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务';

-- ----------------------------
-- Table structure for com_task_contract
-- ----------------------------
-- DROP TABLE IF EXISTS `com_task_contract`;
CREATE TABLE `com_task_contract` (
  `comTaskId` bigint(20) NOT NULL COMMENT '任务ID',
  `comContractId` bigint(20) NOT NULL COMMENT '企业合同ID',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `createBy` varchar(20) DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`comTaskId`,`comContractId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务合同关联';

-- ----------------------------
-- Table structure for com_task_per
-- ----------------------------
-- DROP TABLE IF EXISTS `com_task_per`;
CREATE TABLE `com_task_per` (
  `comTaskId` bigint(20) NOT NULL COMMENT '任务ID',
  `perId` bigint(20) NOT NULL COMMENT '人员ID',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `createBy` varchar(20) DEFAULT NULL COMMENT '创建人ID',
  PRIMARY KEY (`comTaskId`,`perId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务安排人员';


#码表
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '01', '广播电台、电视台、通讯社等重要新闻单位', '1');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '02', '机场、港口、大型车站等重要交通枢纽', '2');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '03', '国防科技工业重要产品的研制、 生产单位', '3');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '04', '电信单位、邮政、金融单位', '4');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '05', '大型能源动力设施、水利设施和城市水、电、燃气、 热力供应设施或单位', '5');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '06', '大型物资储备单位和大型商贸中心', '6');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '07', '博物馆、档案馆和重点文物保护单位', '7');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '08', '教育、科研、医疗单位和大型文化、体育场所', '8');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '09', '研制、生产、销售、储存危险物品或者实验、保藏传染性菌种、毒种的单位', '9');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '10', '国家重点建设工程单位', '10');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '11', '宾馆、饭店', '11');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '12', '大学', '12');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '13', '中、小学和幼儿园', '13');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '14', '公园、景区', '14');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '15', '繁华场所和地区', '15');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '16', '物业公司', '16');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '17', '娱乐场所', '17');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '18', '党政机关', '18');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '19', '国有企业', '19');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '20', '涉外机构', '20');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectType', '服务对象类型', '99', '其他单位', '21');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '01', '中国企业', '1');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '02', '涉日', '2');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '03', '涉美', '3');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '04', '涉韩', '4');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '05', '涉欧', '5');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '06', '涉东南亚', '6');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '07', '涉非', '7');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '08', '涉俄罗斯', '8');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'serviceObjectSySituation', '服务对象涉外情况', '99', '其他', '9');

INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '0', '未开始', '1');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '1', '进行中', '2');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '2', '已完成', '3');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '3', '已延期', '4');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '4', '已取消', '5');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '5', '已暂停', '6');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '6', '未发布', '7');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'taskStatus', '任务状态', '7', '已结束', '8');


INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '010001', '大型活动', '1');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '010002', '安保服务', '2');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '010003', '事故救援', '3');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '010004', '应急处置', '4');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '010005', '其他任务', '5');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '010009', '自定义任务', '6');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000101', '体育赛事', '7');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000102', '文艺演出', '8');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000103', '展览展销', '9');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000104', '游园灯会', '10');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000105', '招聘会', '11');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000106', '公益慈善', '12');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000201', '巡逻', '13');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000202', '守卫', '14');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000203', '随身护卫', '15');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000204', '安全检查', '16');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000205', '押运', '17');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000206', '技术防范', '18');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000301', '自然灾害救援', '19');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000302', '事故灾难救援', '20');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000401', '公共卫生应急处置', '21');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000402', '社会安全应急处理', '22');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`) VALUES ('1', 'comTaskType', '任务类型', '01000501', '其他任务', '23');


INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractStatus', '合同状态', '1', '已签订', '1');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractStatus', '合同状态', '2', '已完成', '2');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractStatus', '合同状态', '3', '已续签', '3');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractStatus', '合同状态', '9', '已终止', '4');


INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractType', '合同类型', '01', '企业服务合同', '1');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractType', '合同类型', '02', '劳动合同', '2');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractType', '合同类型', '03', '劳务合同-个人', '3');
INSERT INTO sys_dict (`isActive`, `codeType`, `description`, `codeValue`, `label`, `seq`)
VALUES ('1', 'contractType', '合同类型', '04', '劳务合同-单位', '4');